aboutsummaryrefslogtreecommitdiff
path: root/pbuilder-buildpackage
diff options
context:
space:
mode:
Diffstat (limited to 'pbuilder-buildpackage')
-rwxr-xr-xpbuilder-buildpackage13
1 files changed, 10 insertions, 3 deletions
diff --git a/pbuilder-buildpackage b/pbuilder-buildpackage
index b7f7112..71088d7 100755
--- a/pbuilder-buildpackage
+++ b/pbuilder-buildpackage
@@ -125,7 +125,7 @@ function checkbuilddep_internal () {
done;
if [ "$SATISFIED" = "no" ]; then
echo "E: pbuilder: Could not satisfy build-dependency." >&2
- umountproc_cleanbuildplace
+ saveaptcache_umountproc_cleanbuildplace
exit 1
fi
done;
@@ -160,7 +160,7 @@ function checkbuilddep_internal () {
if $CHROOTEXEC usr/bin/dpkg -s $(echo "$INSTALLPKG" | tr "/" " " | awk '{print $1}') 2>&1 | grep ^Package: > /dev/null; then
if ! $CHROOTEXEC usr/bin/apt-get -y remove ${CURRENTREALPKGNAME} ; then
echo "E: Could not satisfy build-conflicts" >&2
- umountproc_cleanbuildplace
+ saveaptcache_umountproc_cleanbuildplace
exit 1
fi
else
@@ -184,6 +184,13 @@ function showbuildbanner () {
echo
}
+function saveaptcache_umountproc_cleanbuildplace () {
+ # save the apt cache, and call umountproc_cleanbuildplace
+ save_aptcache
+ umountproc_cleanbuildplace
+}
+
+
. /usr/lib/pbuilder/pbuilder-checkparams
PACKAGENAME="$1"
@@ -209,7 +216,7 @@ if ! $CHROOTEXEC /bin/bash -c "( cd tmp/buildd; /usr/bin/dpkg-source -x $(basena
fi
recover_aptcache
-echo Installing the build-deps
+echo "Installing the build-deps"
checkbuilddep
save_aptcache